Skip to main content
`Ctrl`+`K`

# PowerStretch

class astropy.visualization.PowerStretch(a)

  Bases: `BaseStretch`

  A power stretch.

  The stretch is given by:

  \[y = x^a\]
  Parameters:
    a `python:float`

      The power index (see the above formula). `a` must be greater than 0.

  Examples

  (`Source code`, `png`, `svg`, `pdf`)

  Attributes Summary

  `inverse` | A stretch object that performs the inverse operation.

  Methods Summary

  `__call__`(values[, clip, out, invalid]) | Transform values using this stretch.

  Attributes Documentation

  inverse

    A stretch object that performs the inverse operation.

  Methods Documentation

  __call__(values, clip=True, out=None, invalid=None)

    Transform values using this stretch.

    Parameters:
      values numpy:array_like

        The input values, which should already be normalized to the [0:1] range.

      clip bool, optional

        If `True` (default), values outside the [0:1] range are clipped to the [0:1] range.

      out `ndarray`, optional

        If specified, the output values will be placed in this array (typically used for in-place calculations).

      invalid `python:None` or `python:float`, optional

        Value to assign NaN values generated by this class. NaNs in the input `values` array are not changed. This option is generally used with matplotlib normalization classes, where the `invalid` value should map to the matplotlib colormap “under” value (i.e., any finite value < 0). If `None`, then NaN values are not replaced. This keyword has no effect if `clip=True`.

    Returns:
      result `ndarray`

        The transformed values.